# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.4.3] - 2023-03-19

### Changed

- Changed License to AGPL-3.0-or-later.
- Changed test fixture destination locations.

## [0.4.2] - 2021-11-10

### Changed

- Enabled the Markdown processor to accept raw HTML.

## [0.4.1] - 2021-11-10

### Fixed

- Excluded existing `index.html` files from path rewriting.

## [0.4.0] - 2021-11-10

### Added

- Added a plugin to rewrite HTML files into `<filename>/index.html` paths.

## [0.3.0] - 2021-11-09

### Added

- Added Tera layouts support.
- Added this here changelog.
- Added a new function, `Shtola#source_ignores`, to load your ignores from
  an external file (something like a .gitignore).
- Added the capability to read binary (e.g. non-UTF-8 encoded files), which stores
  them in a new `ShFile` field: `raw_content`. If you want to exclude binaries,
  filter out `file.raw_content.is_some()`.

### Changed

- The chosen destination is now always automatically ignored.

### Fixed

- Markdown: Improved the extension filter so that it doesn't panic every time it
  finds a file without an extension (like dotfiles or just files without dots)

## [0.2.1] - 2021-07-07

### Changed

- Enabled docs.rs to build all features.

## [0.2.0] - 2021-07-07

### Added

- Implemented `Default` for `ShFile`.

### Changed

- Inlined plugins into the crate itself. This means that now, you control the plugins shtola comes with
  not via installing extra crates, but via enabling crate features on the main `shtola` crate. This saves me
  a stupid amount of maintenance overhead.
- Upgraded `ware` from 1.0 to 2.0. This is a larger refactor that changes the way shtola plugins work. For reference,
  see the docs.rs page, examples and tests.
- Updated the main example to actually do something cool. It now pulls the system time.

### Fixed

- Removed a line break that caused the link to docs.rs to break.
